# SPDX-FileCopyrightText: 2024 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{ config, ... }:

let
  host = "analytics.dgnum.eu";
  port = 8111;
in

{
  services.plausible = {
    enable = true;

    mail = {
      email = "analytics@infra.dgnum.eu";

      smtp = {
        user = "web-services@infra.dgnum.eu";
        passwordFile = config.age.secrets."plausible-smtp_password_file".path;
        hostPort = 465;
        hostAddr = "kurisu.lahfa.xyz";
        enableSSL = true;
      };
    };

    server = {
      baseUrl = "https://${host}";
      inherit port;

      disableRegistration = false;

      secretKeybaseFile = config.age.secrets."plausible-secret_key_base_file".path;
    };

    adminUser = {
      passwordFile = config.age.secrets."plausible-admin_user_password_file".path;
      email = "tom.hubrecht@dgnum.eu";
      name = "thubrecht";
      activate = true;
    };
  };

  dgn-web.simpleProxies.plausible = {
    inherit host port;
  };
}
