# SPDX-FileCopyrightText: 2024 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{
  lib,
  python3,
  fetchPypi,
  pydantic-settings,
}:

python3.pkgs.buildPythonPackage rec {
  pname = "oic";
  version = "1.6.1";
  pyproject = true;

  src = fetchPypi {
    inherit pname version;
    hash = "sha256-OFofZLtZUZ3x4jhAUwkhv0FnQCQPUF6m0WHjMdPTn60=";
  };

  nativeBuildInputs = [
    python3.pkgs.setuptools
    python3.pkgs.wheel
  ];

  propagatedBuildInputs = with python3.pkgs; [
    cryptography
    defusedxml
    mako
    pycryptodomex
    pydantic-settings
    pyjwkest
    requests
    typing-extensions
  ];

  pythonImportsCheck = [ "oic" ];

  meta = with lib; {
    description = "Python implementation of OAuth2 and OpenID Connect";
    homepage = "https://pypi.org/project/oic/";
    license = licenses.asl20;
    maintainers = with maintainers; [ ];
    mainProgram = "oic";
  };
}
