# SPDX-FileCopyrightText: 2024 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{
  lib,
  python3,
  fetchPypi,
  pydantic,
}:

python3.pkgs.buildPythonPackage rec {
  pname = "pydantic-settings";
  version = "2.0.3";
  pyproject = true;

  src = fetchPypi {
    pname = "pydantic_settings";
    inherit version;
    hash = "sha256-li3DZySVqtaulqQ5D6x+WTWR4URiXlES01n49n+3WUU=";
  };

  nativeBuildInputs = [ python3.pkgs.hatchling ];

  propagatedBuildInputs = with python3.pkgs; [
    pydantic
    python-dotenv
  ];

  pythonImportsCheck = [ "pydantic_settings" ];

  meta = with lib; {
    description = "Settings management using Pydantic";
    homepage = "https://pypi.org/project/pydantic-settings/";
    license = licenses.mit;
    maintainers = with maintainers; [ ];
    mainProgram = "pydantic-settings";
  };
}
