# SPDX-FileCopyrightText: 2024 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{ lib, ... }:

lib.extra.mkConfig {
  enabledModules = [
    # List of modules to enable
    "dgn-backups"
    "dgn-web"
    "dgn-forgejo-runners"
  ];

  enabledServices = [
    # List of services to enable
    "tvix-cache"
    "forgejo"
    "forgejo-runners"
    "garage"
    "influxdb"
    "netbird"
    "peertube"
    "prometheus"
    "redirections"
  ];

  extraConfig = {
    dgn-hardware.useZfs = true;

    services.netbird.enable = true;
  };

  root = ./.;
}
