# SPDX-FileCopyrightText: 2024 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

_:

let
  url = "https://git.dgnum.eu";

  mkRunner =
    {
      labels,
      name,
      token,
    }:
    {
      enable = true;

      inherit
        name
        labels
        token
        url
        ;

      settings.container = {
        network = "host";
        options = "--cpus=4";
      };
    };
in
{
  dgn-forgejo-runners = {
    nbRunners = 6;
    nbCpus = 4;
    dataDirectory = "/data/slow";
  };

  services.gitea-actions-runner.instances = builtins.mapAttrs (_: mkRunner) {
    runner01 = {
      token = "qT9nZXKgLcb3fWOj7VTj3S58raiCWwF0weuIIKlY";
      name = "storage01 [debian]";

      labels = [ "debian-latest:docker://node:20-bookworm" ];
    };

    runner02 = {
      token = "m0rUDBxxkMb6xLTmPFwIieHswJFROqPFByPlT3V9";
      name = "storage01 [debian]";

      labels = [ "debian-latest:docker://node:20-bookworm" ];
    };
  };
}
