# SPDX-FileCopyrightText: 2024 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{
  lib,
  buildPythonPackage,
  fetchFromGitHub,
  poetry-core,
  aiohttp,
  authlib,
  pydantic,
  toml,
}:

buildPythonPackage rec {
  pname = "kanidm";
  version = "1.1.0-rc.16";
  pyproject = true;

  src = fetchFromGitHub {
    owner = "kanidm";
    repo = "kanidm";
    rev = "v${version}";
    hash = "sha256-NH9V5KKI9LAtJ2/WuWtUJUzkjVMfO7Q5NQkK7Ys2olU=";
  };

  sourceRoot = "source/pykanidm";

  build-system = [ poetry-core ];

  dependencies = [
    aiohttp
    authlib
    pydantic
    toml
  ];

  pythonImportsCheck = [ "kanidm" ];

  meta = with lib; {
    description = "Kanidm: A simple, secure and fast identity management platform";
    homepage = "https://github.com/kanidm/kanidm";
    license = licenses.mpl20;
    maintainers = with maintainers; [ thubrecht ];
  };
}
