# SPDX-FileCopyrightText: 2024 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{ config, pkgs, ... }:

{
  services.crabfit = {
    enable = true;

    api.host = "api.meet.dgnum.eu";
    frontend = {
      host = "meet.dgnum.eu";
      package = pkgs.crabfit-frontend.overrideAttrs (old: {
        patches = (old.patches or [ ]) ++ [
          ./01-privacy.patch
          ./05-dgnum.patch
          ./06-download.patch
          ./07-colormap.patch
          ./08-heatmap.patch
        ];
      });
    };
  };

  dgn-backups.postgresDatabases = [ "crabfit" ];

  dgn-web.simpleProxies = {
    crabfit-api = {
      inherit (config.services.crabfit.api) host port;
    };
    crabfit-frontend = {
      inherit (config.services.crabfit.frontend) host port;
    };
  };
}
