# SPDX-FileCopyrightText: 2024 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{ pkgs, sources, ... }:

let
  wp4nix = pkgs.callPackage sources.wp4nix { };
in
{
  imports = [ ./module.nix ];

  services.wp-containers = {
    enable = true;

    sites = {
      "lavoixduntexte.normalesup.eu" = {
        themes = {
          inherit (wp4nix.themes) avant;
        };

        plugins = {
          inherit (wp4nix.plugins) user-role-editor;
        };

        languages = [ pkgs.wordpressPackages.languages.fr_FR ];
      };

      "bds.ens.fr" = {
        themes = {
          inherit (wp4nix.themes) gateway twentytwentythree;
        };

        plugins = {
          inherit (wp4nix.plugins) user-role-editor;
        };

        languages = [ pkgs.wordpressPackages.languages.fr_FR ];
      };

      "bda.ens.fr" = {
        themes = {
          inherit (wp4nix.themes) twentytwentythree;
        };

        plugins = {
          inherit (wp4nix.plugins) user-role-editor;
        };

        languages = [ pkgs.wordpressPackages.languages.fr_FR ];
      };

      "cineclub.ens.fr" = {
        themes = {
          inherit (wp4nix.themes) twentytwentythree;
        };

        plugins = {
          inherit (wp4nix.plugins) user-role-editor;
        };

        languages = [ pkgs.wordpressPackages.languages.fr_FR ];
      };
    };
  };

  dgn-backups.jobs.containers.settings.paths = [ "/var/lib/nixos-containers" ];

  services.nginx.virtualHosts."bds.ens.fr".locations."/gestion2".return = "301 https://gestion.bds.ens.fr";
}
