# SPDX-FileCopyrightText: 2024 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{ lib, pkgs, ... }:

lib.extra.mkConfig {
  enabledModules = [
    # List of modules to enable
    "dgn-web"
  ];

  enabledServices = [
    # List of services to enable
    "cas-eleves"
    "kadenios"
  ];

  extraConfig = {
    # Restrict access to this node
    dgn-access-control.users.root = [ "thubrecht" ];

    # Disable monitoring
    dgn-node-monitoring.enable = false;

    # Enable Postgres databases
    services.postgresql = {
      enable = true;

      package = pkgs.postgresql_16;
    };
  };

  root = ./.;
}
