# SPDX-FileCopyrightText: 2024 Tom Hubrecht <tom.hubrecht@dgnum.eu>
# SPDX-FileContributor: Julien Malka <julien.malka@dgnum.eu>
# SPDX-FileContributor: Maurice Debray <maurice.debray@dgnum.eu>
# SPDX-FileContributor: Ryan Lahfa <ryan.lahfa@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{
  bridge01 = {
    hostId = "f57f3ba0";

    interfaces = { };
    netbirdIp = null;
  };

  build01 = {
    interfaces = {
      enp35s0f0np0 = {
        ipv4 = [
          {
            address = "10.0.254.21";
            prefixLength = 24;
          }
        ];

        gateways = [ "10.0.254.1" ];
        enableDefaultDNS = true;
      };
    };

    hostId = "adb676ce";
    netbirdIp = "100.80.31.249";
  };

  compute01 = {
    interfaces = {
      eno1 = {
        ipv4 = [
          {
            address = "129.199.146.147";
            prefixLength = 24;
          }
          {
            address = "192.168.1.147";
            prefixLength = 24;
          }
        ];

        gateways = [ "129.199.146.254" ];
        enableDefaultDNS = true;
      };
    };

    hostId = "8df60941";
    netbirdIp = "100.80.75.197";
  };

  geo01 = {
    interfaces = {
      eno1 = {
        ipv4 = [
          {
            address = "129.199.210.194";
            prefixLength = 24;
          }
        ];

        gateways = [ "129.199.210.254" ];

        dns = [
          "129.199.96.11"
          "129.199.72.99"
        ];
      };
    };

    hostId = "b88fee0c";
    netbirdIp = "100.80.8.66";
  };

  geo02 = {
    interfaces = {
      eno1 = {
        ipv4 = [
          {
            address = "129.199.210.69";
            prefixLength = 24;
          }
        ];

        gateways = [ "129.199.210.254" ];

        dns = [
          "129.199.96.11"
          "129.199.72.99"
        ];
      };
    };

    hostId = "45d65237";
    netbirdIp = "100.80.233.249";
  };

  hypervisor01 = {
    interfaces = {
      eno4 = {
        ipv4 = [
          {
            address = "10.0.254.11";
            prefixLength = 24;
          }
        ];

        gateways = [ "10.0.254.1" ];
        enableDefaultDNS = true;
      };
    };

    hostId = "4dbbd76a";
    netbirdIp = "100.80.242.115";
  };

  hypervisor02 = {
    interfaces = {
      eno4 = {
        ipv4 = [
          {
            address = "10.0.254.12";
            prefixLength = 24;
          }
        ];

        gateways = [ "10.0.254.1" ];
        enableDefaultDNS = true;
      };
    };

    hostId = "d0b48483";
    netbirdIp = "100.80.37.202";
  };

  hypervisor03 = {
    interfaces = {
      eno4 = {
        ipv4 = [
          {
            address = "10.0.254.13";
            prefixLength = 24;
          }
        ];

        gateways = [ "10.0.254.1" ];
        enableDefaultDNS = true;
      };
    };

    hostId = "1c407ea8";
    netbirdIp = "100.80.58.178";
  };

  rescue01 = {
    interfaces = {
      ens18 = {
        ipv6 = [
          {
            address = "2a01:e0a:de4:a0e1:2d73:2a7e:18db:5728";
            prefixLength = 64;
          }
        ];

        ipv4 = [
          {
            address = "192.168.0.232";
            prefixLength = 21;
          }
        ];
        gateways = [ "192.168.0.1" ];
        enableDefaultDNS = true;
      };
    };

    addresses.ipv4 = [ "82.67.34.230" ];

    hostId = "007f0200";
    netbirdIp = "100.80.97.140";
  };

  storage01 = {
    interfaces = {
      eno1 = {
        ipv4 = [
          {
            address = "129.199.146.148";
            prefixLength = 24;
          }
          {
            address = "192.168.1.148";
            prefixLength = 24;
          }
        ];

        gateways = [ "129.199.146.254" ];
        enableDefaultDNS = true;
      };
    };

    hostId = "d4e7c369";
    netbirdIp = "100.80.156.154";
  };

  tower01 = {
    interfaces = {
      eno2 = {
        ipv4 = [
          {
            address = "129.199.210.119";
            prefixLength = 24;
          }
        ];

        gateways = [ "129.199.210.254" ];

        dns = [
          "129.199.96.11"
          "129.199.72.99"
        ];
      };
    };

    hostId = "7874d06e";
    netbirdIp = "100.80.185.124";
  };

  vault01 = {
    interfaces = {
      vlan-uplink-cri = {
        ipv4 = [
          {
            # see also machines/vault01/networking.nix
            address = "129.199.195.129";
            prefixLength = 32;
          }
        ];
        gateways = [ ];
        enableDefaultDNS = true;
      };
    };

    hostId = "e83b600d";
    netbirdIp = "100.80.255.180";
  };

  web01 = {
    interfaces = {
      ens3 = {
        ipv4 = [
          {
            address = "129.199.129.53";
            prefixLength = 24;
          }
        ];

        gateways = [ "129.199.129.1" ];
        enableDefaultDNS = true;
      };
    };

    hostId = "050df79e";
    netbirdIp = "100.80.77.90";
  };

  web02 = {
    interfaces = {
      ens3 = {
        ipv4 = [
          {
            address = "129.199.129.235";
            prefixLength = 24;
          }
        ];

        gateways = [ "129.199.129.1" ];
        enableDefaultDNS = true;
      };
    };

    hostId = "b431ca10";
    netbirdIp = null; # web02 is not to be connected on the VPN
  };

  web03 = {
    interfaces = {
      enp1s0 = {
        ipv4 = [
          {
            address = "129.199.129.223";
            prefixLength = 24;
          }
        ];

        gateways = [ "129.199.129.1" ];
        enableDefaultDNS = true;
      };
    };

    hostId = "8afc7749";
    netbirdIp = "100.80.157.46";
  };
}
