# Copyright :
# SPDX-FileCopyrightText: 2024 Maurice Debray <maurice.debray@dgnum.eu>
# SPDX-FileCopyrightText: 2024 Ryan Lahfa <ryan.lahfa@dgnum.eu>
# SPDX-FileCopyrightText: 2024 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{
  lib,
  nodeMeta,
  sources,
  ...
}:

{
  imports =
    (lib.extra.mkImports ./. [
      "dgn-access-control"
      "dgn-acme"
      "dgn-backups"
      "dgn-console"
      "dgn-chatops"
      "dgn-firewall"
      "dgn-forgejo-runners"
      "dgn-hardware"
      "dgn-netbox-agent"
      "dgn-network"
      "dgn-node-monitoring"
      "dgn-notify"
      "dgn-records"
      "dgn-redirections"
      "dgn-s3"
      "dgn-ssh"
      "dgn-vm-variant"
      "dgn-web"
      "django-apps"
      "extranix"
    ])
    ++ [
      "${sources.agenix}/modules/age.nix"
      "${sources.arkheon}/module.nix"
      "${sources."microvm.nix"}/nixos-modules/host"
    ]
    ++ ((import sources.nix-modules { inherit lib; }).importModules (
      [
        "age-secrets"
        "services/bupstash"
        "services/forgejo-nix-runners"
        "services/reaction"
        "services/systemd-notify"
      ]
      ++ nodeMeta.nix-modules
    ));
}
