# SPDX-FileCopyrightText: 2024 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{ config, lib, ... }:

let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.dgn-acme;
in

{
  options.dgn-acme.enable = mkEnableOption "ACME settings." // {
    default = true;
  };

  config = mkIf cfg.enable {
    security.acme = {
      acceptTerms = true;
      defaults.email = "acme@dgnum.eu";
    };
  };
}
