# SPDX-FileCopyrightText: 2024 Ryan Lahfa <ryan.lahfa@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{
  lib,
  buildPythonPackage,
  fetchFromGitHub,
  poetry-core,
}:

buildPythonPackage rec {
  pname = "pypika-tortoise";
  version = "0.1.6";
  pyproject = true;

  src = fetchFromGitHub {
    owner = "tortoise";
    repo = "pypika-tortoise";
    rev = "v${version}";
    hash = "sha256-xx5FUMHh6413fsvwrEA+Q0tBmJWy00h5O6YijvrJyCE=";
  };

  build-system = [ poetry-core ];

  pythonImportsCheck = [ "pypika" ];

  meta = {
    description = "";
    homepage = "https://github.com/tortoise/pypika-tortoise";
    changelog = "https://github.com/tortoise/pypika-tortoise/blob/${src.rev}/CHANGELOG.md";
    license = lib.licenses.asl20;
    maintainers = with lib.maintainers; [ raitobezarius ];
  };
}
