# SPDX-FileCopyrightText: 2024 Maurice Debray <maurice.debray@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{
  lib,
  buildPythonPackage,
  fetchFromGitHub,
  cargo,
  rustPlatform,
  rustc,
  typing-extensions,
}:

buildPythonPackage rec {
  pname = "netifaces-2";
  version = "0.0.22";
  pyproject = true;

  src = fetchFromGitHub {
    owner = "SamuelYvon";
    repo = "netifaces-2";
    rev = "V${version}";
    hash = "sha256-XO3HWq8FOVzvpbK8mIBOup6hFMnhDpqOK/5bPziPZQ8=";
  };

  cargoDeps = rustPlatform.fetchCargoTarball {
    inherit src;
    name = "${pname}-${version}";
    hash = "sha256-uoUa6DSBuIV3RrE7svT1TVLxPHdx8BFu/C6mbpRmor0=";
  };

  build-system = [
    cargo
    rustPlatform.cargoSetupHook
    rustPlatform.maturinBuildHook
    rustc
  ];

  dependencies = [ typing-extensions ];

  pythonImportsCheck = [ "netifaces" ];

  meta = {
    description = "Netifaces reborn";
    homepage = "https://github.com/SamuelYvon/netifaces-2.git";
    license = lib.licenses.mit;
    maintainers = with lib.maintainers; [ ];
  };
}
