# SPDX-FileCopyrightText: 2024 Maurice Debray <maurice.debray@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{ config, lib, ... }:
let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.dgn-vmVariant;
in

{
  options.dgn-vmVariant.enable = mkEnableOption "ACME settings." // {
    default = true;
  };

  config = mkIf cfg.enable {
    virtualisation.vmVariant = {
      services.resolved.dnssec = "false";
    };
  };
}
