# SPDX-FileCopyrightText: 2024 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{
  name = "Check meta";
  on = {
    pull_request.branches = [ "main" ];
    push.paths = [ "meta/*" ];
  };

  jobs = {
    check_meta = {
      runs-on = "nix";
      steps = [
        { uses = "actions/checkout@v3"; }
        {
          name = "Check the validity of meta options";
          run = "nix-build meta/verify.nix -A meta";
        }
      ];
    };

    check_dns = {
      runs-on = "nix";
      steps = [
        { uses = "actions/checkout@v3"; }
        {
          name = "Check the validity of the DNS configuration";
          run = "nix-build meta/verify.nix -A dns";
        }
      ];
    };
  };
}
